package cardsim

// An InfoPanel displays some set of stats to the player. It does
// not consume an action. It must not advance the state of the game
// in any way.
type InfoPanel[C StatsCollection] interface {
	// Title returns the title of this InfoPanel, which is also used as the
	// label presented to the player to access this panel.
	Title(p *Player[C]) (Message, error)

	// Info returns the contents of this InfoPanel.
	Info(p *Player[C]) ([]Message, error)
}
